Bug 1247069 - Mark build as failed from jenkins webconsole when the build is pending for a while
Mark build as failed from jenkins webconsole when the build is pending for a ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
Wenjing Zheng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 05:25 EDT by XiuJuan Wang
Modified: 2015-09-08 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 16:13:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-07-27 05:25:41 EDT
Description of problem:
Trigger a build from jenkins webconsole,if the build is pending for a while(about 5 senconds), the build will be marked as failed from jenkins webconsole.

Version-Release number of selected component (if applicable):
openshift/jenkins-16-centos7 imageid:530bff39ea880364441e04000f4452b786a99420da0701fd1c73f24379323477

How reproducible:
always

Steps to Reproduce:
1.Create jenkins server and  app following https://github.com/openshift/origin/blob/master/examples/jenkins/README.md
2.Trigger a build from jenkins webconsole
3.Check build status and output from jenkins webconsole

Actual results:
The build just is pending about 5 senconds.And the build has be marked as failed
Error from server: Timeout: timed out waiting for Build jenkins/frontend-5
Build step 'Execute shell' marked build as failure
Finished: FAILURE


Expected results:
Should set the pending tolerance value to bigger one in jenkins webconsole.

Additional info:
Comment 1 Ben Parees 2015-07-27 09:36:19 EDT
The issue here is that oc build-logs is timing out waiting for logs from the build and if they don't come in fast enough, oc build-logs exits with a failure code and fails the jenkins job.

i'll work on the logic around the use of build-logs to make it more tolerant of this situation.
Comment 2 Ben Parees 2015-07-27 14:11:03 EDT
https://github.com/openshift/jenkins/pull/10
Comment 3 XiuJuan Wang 2015-07-28 02:41:10 EDT
Ben,
when I triggered builds from jenkins webconsole, met the following error:
--------------------
+ read -r test_rc_id
++ cat old_rc_id
cat: old_rc_id: No such file or directory
+ old_rc_id=
Build step 'Execute shell' marked build as failure
-----------------------------------------------
Comment 4 Ben Parees 2015-07-28 08:07:04 EDT
https://github.com/openshift/jenkins/pull/11
Comment 5 XiuJuan Wang 2015-07-29 02:49:42 EDT
This issue has been fixed  with jenkins-16-centos7(c36eb8165142)
Will retry 3 times if get build-logs timeout

Note You need to log in before you can comment on or make changes to this bug.